## SwCore

SwCore

## Functions

SwCore * | sw_core_new ()
void | sw_core_run ()
gboolean | sw_core_is_item_banned ()
SwCore * | sw_core_dup_singleton ()
DBusGConnection * | sw_core_get_connection ()

## Types and Values

| SwCore

## Object Hierarchy

        GObject
        ╰── SwCore

## Implemented Interfaces

SwCore implements SwCoreIface.

## Description

## Functions

### sw_core_new ()

    SwCore *
    sw_core_new (void);

### sw_core_run ()

    void
    sw_core_run (SwCore *core);

### sw_core_is_item_banned ()

    gboolean
    sw_core_is_item_banned (SwCore *core,
                            SwItem *item);

### sw_core_dup_singleton ()

    SwCore *
    sw_core_dup_singleton (void);

### sw_core_get_connection ()

    DBusGConnection *
    sw_core_get_connection (SwCore *core);

## Types and Values

### SwCore

    typedef struct _SwCore SwCore;